'' Modified for Hydra by JT Cook
'' Changed pin out settings in ymTV_Text for video
'' Changed pit out and counter controls in ym2413a_hss_v1 for sound
CON

  _clkmode = xtal1 + pll8x
  _xinfreq = 10_000_000 + 5000


OBJ

  text : "ymtv_text"
  hss  : "ym2413a_hss_v1"
  
PUB start | i, a, b, TimeCnt

  'Start terminal screen
  text.start(12)
  text.str(string("Hydra Sound System (Hss)",13))
  text.str(string("Song File: "))
  text.str(@bgmusic)
  text.str(string(13,$C,5,"-(Hss) OBJ and VAR require only 2.73KB",$C,1))   

  hss.start 'Start HSS Engine

  hss.hmus_load(@bgmusic) 'Load Hmus file into player.
  hss.hmus_play 'Play loaded file.

  'UnRemark these commands to hear the two FX channels
  ''hss.sfx_play(1, @SoundFX1) 'Play a sound effect on FX channel (1)
  ''hss.sfx_play(2, @SoundFX2) 'Play a sound effect on FX channel (2) 

  repeat 'Update screen with readings of registers
    text.str(string($C,3,$A,2,$B,3,"(Channel A) F:"))
    i := hss.peek(3+0)
    text.hex(i>>16, 4)
    i := hss.peek(4+0)
    text.str(string(" V:"))
    text.hex(i, 2)

    text.str(string($C,3,$A,2,$B,4,"(Channel B) F:"))
    i := hss.peek(3+8)
    text.hex(i>>16, 4)
    i := hss.peek(4+8)
    text.str(string(" V:"))
    text.hex(i, 2)

    text.str(string($C,3,$A,2,$B,5,"(Channel C) F:"))
    i := hss.peek(3+16)
    text.hex(i>>16, 4)
    i := hss.peek(4+16)
    text.str(string(" V:"))
    text.hex(i, 2)

    text.str(string($C,3,$A,2,$B,6,"(Channel D) F:"))
    i := hss.peek(3+24)
    text.hex(i>>16, 4)
    i := hss.peek(4+24)
    text.str(string(" V:"))
    text.hex(i, 2)



DAT

bgmusic                 file    "yma-hssintro.hmus"


                                'Wav 'Len 'Fre 'Vol 'LFO 'LFW 'FMa 'AMa
SoundFX1                byte    $06, $FF, $5F, $0F, $01, $03, $01, $00  
                                'Att 'Dec 'Sus 'Rel
                        byte    $FF, $64, $00, $FF

                                'Wav 'Len 'Fre 'Vol 'LFO 'LFW 'FMa 'AMa
SoundFX2                byte    $05, $FF, $00, $0F, $04, $FF, $01, $05
                                'Att 'Dec 'Sus 'Rel
                        byte    $F1, $24, $00, $FF
                                '16step Sequencer Table
                        byte    $F1, $78, $3C, $00, $00, $00, $F1, $78, $3C, $00, $00, $00, $00, $00, $00, $00